//
//  ImageViewController.m
//  Imaginarium
//
//  Created by Sameh Fakhouri on 11/9/16.
//  Copyright © 2016 Sameh Fakhouri. All rights reserved.
//

#import "ImageViewController.h"

@interface ImageViewController ()
@property (nonatomic, strong) UIImageView *imageView;
@property (nonatomic, strong) UIImage *image;
@property (weak, nonatomic) IBOutlet UIScrollView *scrollView;
@end

@implementation ImageViewController

- (UIImageView *) imageView {
    if (!_imageView) {
        _imageView = [[UIImageView alloc] init];
    }
    return _imageView;
}

- (UIImage *)image {
    return self.imageView.image;
}

- (void)setImage:(UIImage *)image {
    self.imageView.image = image;
    [self.imageView sizeToFit];
}

- (void)setImageURL:(NSURL *)imageURL {
    _imageURL = imageURL;
    
    self.image = [UIImage imageWithData:[NSData dataWithContentsOfURL:self.imageURL]];
}



- (void)viewDidLoad {
    [super viewDidLoad];
    [self.scrollView addSubview:self.imageView];
    self.scrollView.contentSize = self.image ? self.image.size : CGSizeZero;
}

- (void)setScrollView:(UIScrollView *)scrollView {
    _scrollView = scrollView;
    self.scrollView.contentSize = self.image ? self.image.size : CGSizeZero;

}

















@end
